#include <string>
#include <iostream>

class Animal
{
 public:
  Animal(const std::string& name)
    : name(name)
  {}
  void eat()
  {
    std::cout << name << " isst" << std::endl;
  }
  std::string name;
};

class Cat : public Animal
{
 public:
  Cat(const std::string& name)
    : Animal(name)
  {
  }
  void purr()
  {
    std::cout << name << " schnurrt" << std::endl;
  }
  bool eatsOnlyCannedFood = true;  // Isst nur Nassfutter
};

int main()
{
  Cat mia("Mia");
  mia.eat();
  mia.purr();
  Cat carlo("Carlo");
  carlo.eatsOnlyCannedFood = false;
  return 0;
}
