#include <iostream>
#include <vector>
#include <string>

int main()
{
  // Eine leere Liste an Strings wird angelegt
  std::vector<std::string> outputLines;

  std::vector<int> germanSoccerChampion = { 1954, 1974,
    1990, 2014 };
  for (int year : germanSoccerChampion)
  {
    // Die Jahreszahl muss zuerst in eine Zeichenkette
    // konvertiert werden. Hierfür gibt es einen Befehl
    // aus der Standard-Library: std::to_string()
    std::string yearAsString = std::to_string(year);

    std::string output = "Weltmeister " + yearAsString;

    // Den String ans Ende der Liste anfügen
    outputLines.push_back(output);
  }
  // Die Liste Element für Element ausgeben
  for (std::string text : outputLines)
  {
    std::cout << "Eintrag: " << text << std::endl;
  }
  return 0;
}
